=== debian/changelog ===
ros-ardent-rmw-implementation (0.4.0-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 09 Dec 2017 07:44:35 -0000
